package com.bonus.sgzb.material.domain;

import java.util.Date;

import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.bonus.sgzb.common.core.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 新购验收任务详细purchase_check_details对象 purchase_check_details
 * 
 * @author bonus
 * @date 2023-12-10
 */
public class PurchaseCheckDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 任务ID */
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    /** 规格id */
    @ApiModelProperty(value = "规格id")
    private Long typeId;

    /** 采购单价 */
    @ApiModelProperty(value = "采购单价")
    private String purchasePrice;

    /** 采购数量 */
    @ApiModelProperty(value = "采购数量")
    private Long purchaseNum;

    /** 供应商id */
    @ApiModelProperty(value = "供应商id")
    private Long supplierId;

    /** 供应商id */
    @ApiModelProperty(value = "供应商名称")
    private String supplier;

    /** 出厂日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "出厂日期")
    private Date productionTime;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    private Long companyId;

    /**
     * 规格型号
     */
    @ApiModelProperty(value = "规格型号")
    private String specificationType;

    @ApiModelProperty(value = "机具类型名称")
    private String typeName;

    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setPurchasePrice(String purchasePrice) 
    {
        this.purchasePrice = purchasePrice;
    }

    public String getPurchasePrice() 
    {
        return purchasePrice;
    }
    public void setPurchaseNum(Long purchaseNum) 
    {
        this.purchaseNum = purchaseNum;
    }

    public Long getPurchaseNum() 
    {
        return purchaseNum;
    }
    public void setSupplierId(Long supplierId) 
    {
        this.supplierId = supplierId;
    }

    public Long getSupplierId() 
    {
        return supplierId;
    }
    public void setProductionTime(Date productionTime) 
    {
        this.productionTime = productionTime;
    }

    public Date getProductionTime() 
    {
        return productionTime;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSpecificationType() {
        return specificationType;
    }

    public void setSpecificationType(String specificationType) {
        this.specificationType = specificationType;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("taskId", getTaskId())
            .append("typeId", getTypeId())
            .append("purchasePrice", getPurchasePrice())
            .append("purchaseNum", getPurchaseNum())
            .append("supplierId", getSupplierId())
            .append("createBy", getCreateBy())
            .append("productionTime", getProductionTime())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
